<?php

namespace App\Http\Livewire\Components\Informacia\Pages;

use Illuminate\Auth\Access\AuthorizationException;
use Illuminate\Contracts\View\View;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Livewire\Component;

/**
 * Class Index
 *
 * @package App\Http\Livewire\Components\Informacia\Pages
 */
class Index extends Component
{
    use AuthorizesRequests;

    /**
     * @throws AuthorizationException
     */
    public function render(): View
    {
        $this->authorize('portal_sprava_informacie');

        return view('pages.sprava.informacie.livewire.list');
    }
}
